# Generated by Django 4.2 on 2024-07-26 13:33

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('zippy_form', '0023_formsubmission_submission_owner_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='FormSettings',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('recaptcha_enabled', models.BooleanField(default=False)),
                ('site_key', models.CharField(max_length=255, null=True)),
                ('secret_key', models.CharField(max_length=255, null=True)),
                ('gsheet_enabled', models.BooleanField(default=False)),
                ('gsheet_type', models.CharField(choices=[('zippy_form_spreadsheet', 'ZIPPY FORM SPREADSHEET'), ('custom_new_spreadsheet', 'CUSTOM NEW SPREADSHEET'), ('custom_existing_spreadsheet', 'CUSTOM EXISTING SPREADSHEET')], default='zippy_form_spreadsheet', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='GoogleCredentials',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('credentials', models.JSONField(default=dict, null=True)),
                ('is_config_done', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('account', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='account_credentials', to='zippy_form.account')),
            ],
        ),
        migrations.CreateModel(
            name='GsheetMappingFields',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('gsheet_column_name', models.CharField(blank=True, max_length=255)),
                ('form_field_name', models.CharField(blank=True, max_length=255)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active'), ('in_active', 'InActive')], default='active', max_length=10)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='GSheetSyncFields',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('gsheet_type', models.CharField(choices=[('zippy_form_spreadsheet', 'ZIPPY FORM SPREADSHEET'), ('custom_new_spreadsheet', 'CUSTOM NEW SPREADSHEET'), ('custom_existing_spreadsheet', 'CUSTOM EXISTING SPREADSHEET')], default='', max_length=255)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.DeleteModel(
            name='FormReCaptcha',
        ),
        migrations.AddField(
            model_name='gsheetsyncfields',
            name='form',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='gsheet_sync_form', to='zippy_form.form'),
        ),
        migrations.AddField(
            model_name='gsheetsyncfields',
            name='form_field',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='gsheet_sync_fields', to='zippy_form.formfield'),
        ),
        migrations.AddField(
            model_name='gsheetmappingfields',
            name='form',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='gsheet_mapping_fields', to='zippy_form.form'),
        ),
        migrations.AddField(
            model_name='formsettings',
            name='form',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_settings', to='zippy_form.form'),
        ),
    ]
